# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauth
Class OAuthHmacSha1Signer

    java.lang.Object
      com.google.gdata.client.authn.oauth.OAuthHmacSha1Signer

All Implemented Interfaces:
  OAuthSigner

    public class OAuthHmacSha1Signer

extends java.lang.Object
implements OAuthSigner

Signs strings using HMAC-SHA1.

Constructor Summary
`OAuthHmacSha1Signer()`

Method Summary
`java.lang.String` `getSignature(java.lang.String baseString, OAuthParameters oauthParameters)` Signs the input string using the appropriate signature method.
`java.lang.String` `getSignatureMethod()` Gets the signature method for this specific implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OAuthHmacSha1Signer

    public OAuthHmacSha1Signer()

Method Detail

### getSignature

    public java.lang.String getSignature(java.lang.String baseString,
                                         OAuthParameters oauthParameters)
                                  throws OAuthException

  Description copied from interface: `OAuthSigner`
  Signs the input string using the appropriate signature method.

  Specified by:
    `getSignature` in interface `OAuthSigner`
  Parameters:
    `baseString` - the string to sign
    `oauthParameters` - the parameters related to the OAuth request or `null`
  Returns:
    the signed string
  Throws:
    `OAuthException` - if signing the request fails

### getSignatureMethod

    public java.lang.String getSignatureMethod()

  Description copied from interface: `OAuthSigner`
  Gets the signature method for this specific implementation.

  Specified by:
    `getSignatureMethod` in interface `OAuthSigner`
  Returns:
    the signature method used to sign the base string